# InventoryDimensions

data class InventoryDimensions(width: Int, height: Int)
Content copied to clipboard

## Functions

component1
Link copied to clipboard
operator fun component1(): Int
Content copied to clipboard
component2
Link copied to clipboard
operator fun component2(): Int
Content copied to clipboard
copy
Link copied to clipboard
fun copy(width: Int, height: Int): InventoryDimensions
Content copied to clipboard
equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Properties

height
Link copied to clipboard
val height: Int
Content copied to clipboard
invSlots
Link copied to clipboard
val invSlots: ArrayList<InventorySlot>
Content copied to clipboard
invSlotsWithRealSlots
Link copied to clipboard
val invSlotsWithRealSlots: HashMap<InventorySlot, Int>
Content copied to clipboard
realSlots
Link copied to clipboard
val realSlots: MutableCollection<Int>
Content copied to clipboard
slotAmount
Link copied to clipboard
val slotAmount: Int
Content copied to clipboard
width
Link copied to clipboard
val width: Int
Content copied to clipboard